#include "testApp.h"

//--------------------------------------------------------------
void testApp::setup(){
	ofSetVerticalSync( true );
	ofBackground( 0,0,0 );
	ofSetCircleResolution( 100 );
	
	numCircles = 150;
	rad_min = 10;
	rad_max = 500;
	
	pos_outer.set( rad_max, rad_max );
	pos_center.set( ofGetWidth()/2, ofGetHeight()/2 );
	
	angle = 0;
}

//--------------------------------------------------------------
void testApp::update(){
	angle = ofGetElapsedTimef() * .5;
	pos_outer.set( cos( angle ) * rad_max, sin( angle ) * rad_max );
	
}

//--------------------------------------------------------------
void testApp::draw(){
	for ( int i = 0; i < numCircles; i++ ){
		//ofNoFill();
		ofSetColor( 0, 200, 150 );
		
		int	rad		 = 3;
		int	outerRad = 200;
		//int xCord	= ofGetWidth()/2  + rad * ( cos(.23 * ( 20 + i )));
		//int yCord	= ofGetHeight()/2 + rad * ( sin(.23 * ( 20 + i )));
		
		float vertChange = 2 * sin( ofGetElapsedTimef());
		
		//int xOrg = ofGetWidth()/2  + 90 * cos( 1.7 * ofGetElapsedTimef() );
		//int yOrg = ofGetHeight() - 90 * cos( 2.3 * ofGetElapsedTimef() );
		
		int xOrg = ofGetWidth()/2;
		int	yOrg = 7*ofGetHeight()/8;
		
		//int xCord = xOrg + (outerRad-i) * cos( 1.3 * ( 5.0*ofGetElapsedTimef()+ i ));
		//int yCord = yOrg - (outerRad-i) * (vertChange + 3); //* sin( 1.3 * ( ofGetElapsedTimef()+i ));
		
		int xCord = xOrg + i * cos( .23 * ( ofGetElapsedTimef()+ i ));
		int yCord = yOrg - i * (vertChange + 4); //* sin( 1.3 * ( ofGetElapsedTimef()+i ));
		
		
		
		ofCircle( xCord, 
				  yCord,  
				  rad );
	}
}

//--------------------------------------------------------------
void testApp::keyPressed(int key){

}

//--------------------------------------------------------------
void testApp::keyReleased(int key){

}

//--------------------------------------------------------------
void testApp::mouseMoved(int x, int y ){

}

//--------------------------------------------------------------
void testApp::mouseDragged(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mousePressed(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::mouseReleased(int x, int y, int button){

}

//--------------------------------------------------------------
void testApp::windowResized(int w, int h){

}

